Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.misc
Class CAST5CBCParameters

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.misc.CAST5CBCParameters

All Implemented Interfaces:
  DEREncodable

public class CAST5CBCParameters
extends ASN1Encodable

Constructor Summary
`CAST5CBCParameters(ASN1Sequence seq)`
`CAST5CBCParameters(byte[] iv, int keyLength)`

Method Summary
`static CAST5CBCParameters` | `getInstance(java.lang.Object o)`
`byte[]` | `getIV()`
`int` | `getKeyLength()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CAST5CBCParameters

    public CAST5CBCParameters(byte[] iv,
                              int keyLength)

### CAST5CBCParameters

    public CAST5CBCParameters(ASN1Sequence seq)

Method Detail

### getInstance

    public static CAST5CBCParameters getInstance(java.lang.Object o)

### getIV

    public byte[] getIV()

### getKeyLength

    public int getKeyLength()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       cast5CBCParameters ::= SEQUENCE {
                                 iv         OCTET STRING DEFAULT 0,
                                        -- Initialization vector
                                 keyLength  INTEGER
                                        -- Key length, in bits
                            }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD